Page MenuHomePhabricator

Bundle anti-spam extensions in distribution packages
Closed, ResolvedPublic

Description

Author: jasonspiro4

Description:
MediaWiki does not come with good anti-spam protection included in the source
tarball. It needs to.

Why?

Because, out of the top 10 PageRanked MediaWikis[1], 7 of them require logging
in to edit, and that's bad: "People often naively suggest lock-down as best
solution to wiki spam. It does reduce spam, but it is a poor solution (and a
Lazy Solution), because you are introducing something which massively
inconveniences real users. Having to choose a username and password is a big
turn off for many people. The wiki way is to be freely and openly editable. This
'soft security' approach is one of the key strengths of the wiki concept. Are
you going to let the spammers spoil that?" --[2]

To get more wikis to be freely editable, MediaWiki would need to have spam
protection built in.

[1] http://www.wikihow.com/ , http://microformats.org/wiki ,
http://www.benkler.org/wealth_of_networks/ , http://wiki.43folders.com ,
http://wikitravel.org/wiki/en , http://wiki.laptop.org/ ,
http://wiki.mozilla.org , http://www.knoppix.net/wikinew ,
http://labs.adobe.com/wiki , http://wiki.linuxquestions.org/

[2] http://meta.wikimedia.org/wiki/Anti-spam_Features


Version: unspecified
Severity: enhancement

Details

Reference
bz9034

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:35 PM
bzimport added a project: MediaWiki-General.
bzimport set Reference to bz9034.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 20 2007, 3:03 AM

ayg wrote:

It might be time to start packaging a few extensions as part of core MediaWiki,
yeah. In particular, since a lot of people expect the same functionality as
Wikipedia, maybe we should include all the extensions Wikipedia uses, at least
those that consist of a few PHP files and at most one or two *small* images:
those will compress to negligible size anyway, so why not? We can include some
lines at the bottom of LocalSettings.php commented out by default, with comments
indicating how to enable them.

Extensions are nice because they modularize functionality (which can give slight
speedups to those who want it, remove unnecessary expansions of wikisyntax,
etc.), but there's no reason not to include some of the most useful/popular in
the default tarball for easier installation. Potentially we could even move
some stuff from core, like the less useful core parser functions or <gallery>,
to "extensions" that are enabled by default.

jasonspiro4 wrote:

(In reply to comment #1)

It might be time to start packaging a few extensions as part of core MediaWiki,
yeah.

Do all the useful anti-spam features come packaged in extension form, or are
they enabled in other ways?

[snip]

We can include some
lines at the bottom of LocalSettings.php commented out by default, with comments
indicating how to enable them.

I propose the anti-spam functionality be on by default. :-)

robchur wrote:

$wgSpamRegex is core; the Spam Blacklist is an extension.

robchur wrote:

Note the existence of http://www.mediawiki.org/wiki/Manual:Combating_spam, which offers a tiered guide to dealing with the problem of spam using escalating measures of protection.

It would be a good idea to bundle the Spam Blacklist with distribution packages.

jasonspiro4 wrote:

(In reply to comment #4)

Note the existence of http://www.mediawiki.org/wiki/Manual:Combating_spam,
which offers a tiered guide to dealing with the problem of spam using
escalating measures of protection.

Cool.

It would be a good idea to bundle the Spam Blacklist with distribution
packages.

What tool do you use to make the MediaWiki .tar.gz packages you release on www.mediawiki.org? Is the tool in SVN? Could I send a patch to the tool to include the extension preinstalled in your .tar.gz packages?

brion added a comment.Jul 6 2007, 1:03 PM

svn and tar.

That's not relevant -- what's needed is improvements to the installer script to be able to enable any bundled extensions during installation.

jasonspiro4 wrote:

(In reply to comment #6)
...

That's not relevant -- what's needed is improvements to the installer script to
be able to enable any bundled extensions during installation.

Oh. Then I'm taking the liberty of renaming this bug from "Bundle anti-spam extensions in distribution packages" to "Please let install.php auto-enable extensions bundled in a MediaWiki tarball". Or was that a mistake and I should have filed a new bug instead? If so, feel free to rename the bug back.

ayg wrote:

install.php being able to enable bundled extensions is necessary but not sufficient for this bug to be properly fixed.

jasonspiro4 wrote:

(In reply to comment #8)

install.php being able to enable bundled extensions is necessary but not
sufficient for this bug to be properly fixed.

OK. So I now filed Bug 10596 (Please let installer auto-enable extensions bundled in a MediaWiki tarball) and made this bug depend on it.

jasonspiro4 wrote:

Please bundle SpamBlacklist. Here is an extension config.php you may use. Public domain. No warranty.

<?php
$extension_config = array();

$extension_config[] = array(

>SpamBlacklist
'label' => 'SpamBlacklist',
'description' => 'Click here to install the <a href="http://www.mediawiki.org/wiki/Extension:SpamBlacklist">SpamBlacklist</a> extension. It downloads and installs a blacklist of websites that users of your wiki will be forbidden to link to.',
'file' => 'SpamBlacklist/SpamBlacklist.php',
'config' => '',
'download' => 'http://www.mediawiki.org/wiki/Extension:SpamBlacklist'

);

Note that you will be unable bundle it till Bug 10596 is fixed.

demon added a comment.Jul 23 2009, 3:06 AM

Moving this to an extension request.

demon added a comment.Jul 30 2009, 7:14 PM

Moving back to MW -> general/unknown per requests elsewhere. It's not really an extension issue ;-)

mike.lifeguard+bugs wrote:

This should use the blacklist on Meta. Better yet, SpamBlacklist would be rewritten before we start bundling up experimental extensions - see bug 4459.

Reedy added a comment.Feb 9 2012, 10:36 PM

ConfirmEdit is bundled.. Anything else can be bundled with reasonable consensus